msgpack::adaptor::detail::array Namespace Reference

## Classes

struct | as_impl
struct | as_impl< T, 0 >
struct | as_impl< T, 1 >

## Functions

template<typename T , std::size_t N1, std::size_t... I1, std::size_t N2, std::size_t... I2>
std::array< T, N1+N2 > | concat (std::array< T, N1 > &&a1, std::array< T, N2 > &&a2, msgpack::seq< I1... >, msgpack::seq< I2... >)
template<typename T , std::size_t N1, std::size_t N2>
std::array< T, N1+N2 > | concat (std::array< T, N1 > &&a1, std::array< T, N2 > &&a2)

## Function Documentation

## concat() [1/2]

template<typename T , std::size_t N1, std::size_t... I1, std::size_t N2, std::size_t... I2>

std::array<T, N1+N2> msgpack::adaptor::detail::array::concat | ( | std::array< T, N1 > && | a1,
|  | std::array< T, N2 > && | a2,
|  | msgpack::seq< I1... > | ,
|  | msgpack::seq< I2... > |
| ) |  |

inline

References msgpack::move().

Referenced by msgpack::adaptor::detail::array::as_impl< T, N >::as(), and concat().

## concat() [2/2]

template<typename T , std::size_t N1, std::size_t N2>

std::array<T, N1+N2> msgpack::adaptor::detail::array::concat | ( | std::array< T, N1 > && | a1,
|  | std::array< T, N2 > && | a2
| ) |  |

inline

References concat(), and msgpack::move().